#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		aname		%(echo %{sname} | cut -d '-' -f1)
%define		bname		%(echo %{sname} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-certbot-apache
Version		:	2.10.0
Release		:	17.2.0.rel%{?dist}
Summary		:	The apache plugin for certbot

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0
URL		:	https://pypi.org/project/certbot-apache/#files

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-attrs
BuildRequires	:	python-augeas
BuildRequires	:	python-py
BuildRequires	:	python3-acme
BuildRequires	:	python3-certbot = %{version}
BuildRequires	:	python-build
BuildRequires	:	python3-certifi
BuildRequires	:	python3-cffi
BuildRequires	:	python3-charset-normalizer
BuildRequires	:	python3-ConfigArgParse
BuildRequires	:	python3-cryptography
BuildRequires	:	python3-idna
BuildRequires	:	python3-iniconfig
BuildRequires	:	python-packaging
BuildRequires	:	python3-parsedatetime
BuildRequires	:	python-pep517
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-pyOpenSSL
BuildRequires	:	python-pyparsing
BuildRequires	:	python3-pytest
BuildRequires	:	python3-requests
BuildRequires	:	python3-requests-toolbelt
BuildRequires	:	python3-pyRFC3339 
BuildRequires	:	python3-tomli
BuildRequires	:	python3-urllib3
BuildRequires	:	python-wheel
BuildRequires	:	python3-zope-component
BuildRequires	:	python3-zope-hookable
BuildRequires	:	python3-zope-interface

Requires	:	%{__python}
Requires	:	osukiss-release
Requires	:	python3-certbot = %{version}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
Plugin for certbot that allows for automatic configuration of apache
	

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{aname}_%{bname}/py.typed
%{python3_sitelib}/%{aname}_%{bname}/*.py
%{python3_sitelib}/%{aname}_%{bname}/__pycache__/*.pyc
%{python3_sitelib}/%{aname}_%{bname}/_internal/*.py
%{python3_sitelib}/%{aname}_%{bname}/_internal/__pycache__/*.pyc
%{python3_sitelib}/%{aname}_%{bname}/_internal/augeas_lens/httpd.aug
%{python3_sitelib}/%{aname}_%{bname}/_internal/tls_configs/*-apache.conf
%{python3_sitelib}/%{aname}_%{bname}/_internal/tests/*.py
%{python3_sitelib}/%{aname}_%{bname}/_internal/tests/__pycache__/*.pyc
%{python3_sitelib}/%{aname}_%{bname}/_internal/tests/testdata/
%{python3_sitelib}/%{aname}_%{bname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

%{__rm} -fr %{aname}_%{bname}.egg-info

#Adjustment to Osukiss distribution
TAB=$'\t' 
%define	_override	\\"osukiss\\": override_centos.CentOSConfigurator,

sed -i							\
 -e "/\"void\": /a \	%{_override}"			\
  %{aname}_%{bname}/_internal/entrypoint.py


#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
#%{__python}						\
#	-m pytest

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl

#-----------------------------------------------------------------------------
%changelog
